Subject: Re: bug#10144: 24.0.91; `pop-up-frames' with dedicated windows is broken: `C-x C-f'

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 Nov 2011 12:07:32 -0500

>> You mean in Emacs-23 only.
> No, I meant in all Emacs versions prior to 24 (with my setup).
> And in 24 too, back when Martin's code was used.

I can't imagine how that could be the case: find-file has always used
switch-to-buffer and switch-to-buffer in Emacs<23 never did anything
else than use the selected window (and hence fail in minibuffer-only
frames and dedicated windows).

> What's the point of such an error message when Emacs could DTRT and
> show the user the buffer s?he asked to see?

The user decided to use RET rather than `o', so the user explicitly
indicated that she wants to display the buffer in the selected window
rather than in another window.  So it's not obvious that displaying
the buffer in another window is the right thing to do.

OTOH I do agree that find-file is not quite like switch-to-buffer, in
that the indication "use current window" is not as clear cut.

        Stefan